package com.ruoyi.reportManagement.excel;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.ruoyi.common.annotation.Excel;

import java.util.Date;

/**
 * 入库导出
 *
 * @author ruoyi
 * @date 2020-12-11
 */
public class Profit {
    private static final long serialVersionUID = 1L;

    /**
     * 客户名称，t_corps 中的no或 name，模糊查找选择后，存储id，显示name
     */
    @Excel(name = "业务员")
    private String fSalesmanName;

    /**
     * 入（出）库日期
     */
    @Excel(name = "结算单位")
    private String fFeesName;

    /**
     * 提单号
     */
    @Excel(name = "提单号")
    private String fMblno;

    /**
     * 提单号
     */
    @Excel(name = "货物名称")
    private String fProductName;

    /**
     * 唛头
     */
    @Excel(name = "品牌")
    private String fMarks;

    /**
     * 入（出）库日期
     */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "审核日期", width = 30, dateFormat = "yyyy-MM-dd")
    private Date fReviewDate;

    /**
     * 应收金额
     */
    @Excel(name = "应付金额")
    private Double fAmount;

    /**
     * 应付金额
     */
    @Excel(name = "应付金额")
    private Double fStlamount;

    /**
     * 利润
     */
    @Excel(name = "利润")
    private Double nnfinished;

    public String getfSalesmanName() {
        return fSalesmanName;
    }

    public void setfSalesmanName(String fSalesmanName) {
        this.fSalesmanName = fSalesmanName;
    }

    public String getfFeesName() {
        return fFeesName;
    }

    public void setfFeesName(String fFeesName) {
        this.fFeesName = fFeesName;
    }

    public String getfMblno() {
        return fMblno;
    }

    public void setfMblno(String fMblno) {
        this.fMblno = fMblno;
    }

    public String getfProductName() {
        return fProductName;
    }

    public void setfProductName(String fProductName) {
        this.fProductName = fProductName;
    }

    public String getfMarks() {
        return fMarks;
    }

    public void setfMarks(String fMarks) {
        this.fMarks = fMarks;
    }

    public Date getfReviewDate() {
        return fReviewDate;
    }

    public void setfReviewDate(Date fReviewDate) {
        this.fReviewDate = fReviewDate;
    }

    public Double getfAmount() {
        return fAmount;
    }

    public void setfAmount(Double fAmount) {
        this.fAmount = fAmount;
    }

    public Double getfStlamount() {
        return fStlamount;
    }

    public void setfStlamount(Double fStlamount) {
        this.fStlamount = fStlamount;
    }

    public Double getNnfinished() {
        return nnfinished;
    }

    public void setNnfinished(Double nnfinished) {
        this.nnfinished = nnfinished;
    }
}
